
function mudfish_adclean_606dda319c458749f1305df4dc01d2d2() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.trendpickup__container > .trendtab-cont:has(p.badge--ad):remove()`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_606dda319c458749f1305df4dc01d2d2();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_606dda319c458749f1305df4dc01d2d2();
  });
}
